Name:           jpackage-release
Version:        5
Release:        4%{?dist}
Summary:        jpackage.org Repository Configuration

Group:          System Environment/Base
License:        BSD
URL:            http://www.jpackage.org/
Source0:        RPM-GPG-KEY-jpackage
Source1:        jpackage.repo
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	yum-priorities

BuildArch:      noarch

%description
This package contains the repository GPG key as well as configuration
for the Yum package managment tool

%prep
%setup -c -T

%build

%install
rm -rf $RPM_BUILD_ROOT

# common
install -Dpm 644 %{SOURCE0} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-jpackage

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1}  $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*

%post
DIST="unknown"
if [ -f /etc/fedora-release ]; then
	DIST="fedora"
elif [ -f /etc/redhat-release ]; then
	DIST="redhat-el"
fi
sed -i -e "s/@DIST@/$DIST/g" %{_sysconfdir}/yum.repos.d/*


%changelog
* Tue Sep 22 2009 Will Tatam <will.tatam@red61.com> 5-4
- Add new 5.0-updates repo

* Mon Mar 02 2009 Will Tatam <will.tatam@jpackage.org> 5-3
- Use yum-priorities stuff to protect jpackage from fedora

* Sun Oct 05 2008 Will Tatam <will.tatam@jpackage.org> 5-2
- Updated to enable autodetection of distro

* Wed Jun 25 2008 Will Tatam <will.tatam@jpackage.org> 5
- initial pkg
